

# using sys to get the function name when throwing around exceptions.
# https://stackoverflow.com/questions/251464/how-to-get-a-function-name-as-a-string-in-python
# this_function_name = sys._getframe().f_code.co_name
import sys


def def_name():
    """ Get the name of the calling function

    This is a recipe from the python cookbook, attribution given in the sources I found to Alex Martelli.

    :return: the name of the calling function
    """
    return sys._getframe(1).f_code.co_name
