import os

class Recipe:
    def __init__(self, buildout, name, options):
        options['created'] = "{}/dist/{}".format(options['path'], name + "-4.0.0a1.dev1.tar.bz2")
        self.options = options

    def install(self):
        self.options.created(self.options['created'])
        home = os.getcwd()

        # cd into correct directory
        os.chdir(self.options['path'])
        # Run setup.py
        os.system("conda run -n data python3 setup.py bdist")
        os.chdir(home)
        # Deploy conda package to builder
        builder_path = "/home/builder.aoc.nrao.edu/content/conda/"
        platform = "osx64"
        os.system("scp {}/{} builder:{}".format(home, self.options['created'], builder_path + platform))
        os.system("ssh builder 'cd {} && conda index'".format(builder_path))

        return self.options.created()

    update = install